Subject: REVIEW: Digital Breadboard
From: [email-masked] (hits" Hines)
Date: 27 Mar 1994 22:56:00 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	Digital Breadboard 1.1.8

	[MODERATOR'S NOTE:  This review was updated on Mar 29, 1994.
	Search for the text "[UPDATE:" to find updated information.
	-Dan]

BRIEF DESCRIPTION

	This product is a computer engineering simulator.  It allows you
to build up combinational logic circuits on screen and test them.

	This product may be found in the file util/misc/dbb118.lha on
the Aminet ftp sites.

AUTHOR/COMPANY INFORMATION

	Name:		Dan Griffin
	Address:	2049 Tamarack Dr.
			Okemos, MI 48864
			USA

	E-mail:		[email-masked]

LIST PRICE

	Freeware.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		Works on the 68030.

	SOFTWARE

		Requires AmigaDOS 2.04 and reqtools.library.

		"Degrader" is recommended because for some reason the
		program is in PAL.

		[UPDATE: Dan Griffin, the author of the program, reports
		that "Digital Breadboard does not force PAL mode:  it runs
		in NTSC or PAL.  However, it does create a screen with a
		height of 440 pixels, so a modest overscan is recommended.
		Version 1.2 has a resizable window."  - Dan]

COPY PROTECTION

	None.
	Installs on a hard drive.

MACHINE USED FOR TESTING

	Amiga 3000 / 25
	10 meg ram (8 Fast, 2 Chip)
	Quantum 50 meg HD
	Quantum 425 meg HD
	Commodore 1950 monitor
	AmigaDOS 2.1

INSTALLATION

	Dearchive the files (using "lha" or similar program) into
a directory and you're set.  It makes its own subdirectory.

REVIEW

	I saw this announced in comp.sys.amiga.announce and I said to myself,
"I could really use a program like this."  I then downloaded it and tried to
use it.  It dearchived nicely into its own directory and was immediately
available to run.  After starting it the first time, I realized that I would
need to boot in PAL mode to see the bottom of the screen.

	[UPDATE:  See the "UPDATE" in the section SPECIAL HARDWARE AND
	SOFTWARE REQUIREMENTS, above, for more information.  - Dan]

	Now after using the program for about 2 hours, I find that it is a
very good program for designing digital logic circuits.  I am currently
taking an Introduction to Computer Engineering course and I was easily able
to put examples from the book into the DBB and see them work.  There are
also some example circuits that are neat to see.

	Some of the features of this program include, in no particular order:

	- multiple user definable clocks
	- printing of circuit designs
	- various logic functions include 2 and 3 input
		- and
		- or
		- nand
		- nor
		- xor
		- inverters
	- input and output indicators
	- logic probes
	- various flip flops including
		- j/k
		- s/r
		- d
	- ARexx port (hmmmmm)

		[UPDATE:  Dan Griffin, the author of the program, reports
		that this version has no ARexx port.  An ARexx port is
		planned for version 1.2, not available as of this writing.
		- Dan]

	- Many others that I cannot think of right now

DOCUMENTATION

	Documentation is online in AmigaGuide format.  You can also get
printed documentation from the Author for $5 (US).  Documents are also in
text and TeX formats.

	The documentation is of good quality.  However, it does not teach
digital logic design. You should take a class for this or buy a good book
from Radio Shack entitled "Getting into Electronics" for a start.

LIKES AND DISLIKES

	I think that I like the ability to test digital logic circuits
without having to wire them up on a real breadboard.  Also you don't have to
buy the chips to test them out:  you can just use the electronic ones.

	I dislike the distance that the elements must be separated by.  It
kind of limits the number of items you can put in.  Also there are only so
many different types of logic that you can make.  (and, nand, nor, etc.)  The
program could use some user definable logic functions (which the author
promises for the next version).

	I would like to see a variable sized grid on which the elements can
be placed, user definable logic functions, and a NTSC version.

COMPARISON TO OTHER SIMILAR PRODUCTS

	Compared to doing this kind of design by hand, this is great.  I
have not seen any other products with which to compare it.

BUGS

	I have not found any bugs.  This program runs smoothly.  I did
however crash the program once, but that is because I did not read all the
documentation.

	[UPDATE:  Dan Griffin, the author of the program, reports that
	version 1.1.8 has one bug in the wire routing, which is fixed in
	version 1.1.9 (soon to be uploaded to Aminet).  - Dan]

VENDOR SUPPORT

	Not applicable.

WARRANTY

	No warranty is given (it's freeware, dammit).

CONCLUSIONS

	I think that this is a very good product.  I cannot wait for the
next version to be released.

COPYRIGHT NOTICE

	This review is hereby deemed freeware. :)

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews